<?php
function wp_youdao_slug_admin(){
	add_options_page('WP Youdao Slug', 'WP Youdao Slug','manage_options', __FILE__, 'wp_youdao_slug_page');
	add_action('admin_init','wp_youdao_slug_register');
}
function wp_youdao_slug_register(){
	register_setting('wst-settings','wp_youdao_slug_keyfrom');
	register_setting('wst-settings','wp_youdao_slug_apikey');
	register_setting('wst-settings','wp_youdao_slug_secondmode');
	register_setting('wst-settings','wp_youdao_slug_deactivate');
}
function wp_youdao_slug_page(){
	function wp_youdao_slug_reset(){
		update_option('wp_youdao_slug_keyfrom','publickey');
		update_option('wp_youdao_slug_apikey','1446930262');
		update_option('wp_youdao_slug_secondmode','');
		update_option('wp_youdao_slug_deactivate','');
	}
	if(isset($_POST['wp_youdao_slug_reset'])){
		if($_POST['wp_youdao_slug_reset']=='reset'){
			wp_youdao_slug_reset();
			echo '<div id="message" class="updated fade"><p><strong>' . __("Default settings restored!","WP-Slug-Translate") . '</strong></p></div>';
		}
	}
?>
<div class="wrap">
	
<?php screen_icon(); ?>
<h2>WP有道别名翻译插件（有宝藏出品）</h2>

<form action="options.php" method="post" enctype="multipart/form-data" name="wp_youdao_slug_form">
<?php settings_fields('wst-settings'); ?>

<table class="form-table">
	<tr valign="top">
		<th scope="row">
			申请有道词典API<br />
			<span style="font-family:Tahoma,sans-serif;font-size:12px;"><a href="http://fanyi.youdao.com/fanyiapi?path=data-mode" title="Step One" target="_blank">去申请API</a></span>
		</th>
		<td>
			<label>
				<input type="text" name="wp_youdao_slug_keyfrom" value="<?php echo get_option('wp_youdao_slug_keyfrom'); ?>" style="width:300px;height:24px;" />
				<code>KEY FROM</code>
			</label><br />
			<label>
				<input type="text" name="wp_youdao_slug_apikey" value="<?php echo get_option('wp_youdao_slug_apikey'); ?>" style="width:300px;height:24px;" />
				<code>API KEY</code>
			</label>
		</td>
	</tr>
	<tr valign="top">
		<th scope="row">
			<?php _e('Delete Options','WP-Slug-Translate'); ?>
		</th>
		<td>
			<label>
				<input type="checkbox" name="wp_youdao_slug_deactivate" value="yes" <?php if(get_option("wp_youdao_slug_deactivate")=='yes') echo 'checked="checked"'; ?> />
				<?php _e('Delete options while deactivate this plugin.','WP-Slug-Translate'); ?>
			</label>
		</td>
	</tr>
</table>

<p class="submit">
<input type="submit" class="button-primary" name="Submit" value="<?php _e('Save Changes'); ?>" />
</p>

</form>

<form action="" method="post">
	<input type="hidden" name="wp_youdao_slug_reset" value="reset" />
	<input type="submit" class="button" value="<?php _e('恢复默认设置'); ?>" />
</form>

<br />

<div class="icon32"><img src="<?php echo $fanyi_url; ?>" alt="fanyi" /></div>
<h2>功能介绍</h2>
<p>
 1. WP Youdao Slug 是一款自动把文章标题别名翻译为英文的插件。如果翻译失败的话，他会使用文章ID作为别名保存。<br />
 2. 它还支持自动翻译Tag标签，当你修改一篇文章的时候，他会自动翻译该文章的所有标签。如果翻译失败的话，他会使用标签URLEncode作为别名保存。<br />
 3. 需要自己去申请有道API: 然后输入KEY FROM、API KEY两个信息即可，请求频率限制为每小时1000次，超过限制会被封禁。<br />
 4. 当你发布文章、编辑、保存文章的时候，都会调用翻译接口保存别名。<br />
 5. 如果你想知道更多信息，请访问: <a href="http://www.youbaozang.com" target="_blank">WP Youdao Slug</a>
</p>

<br />

<h2>相关链接：</h2>
<ul style="margin:0 18px;">
<li><a href="http://www.youbaozang.com" target="_blank">有宝藏官网</a></li>
<li><a href="http://www.wuleba.com" target="_blank">吾乐吧软件站</a></li>
<li><a href="http://www.soumeizi.com" target="_blank">搜妹子图片站</a></li>
</ul>

<div style="text-align:center; margin:60px 0px 10px 0px;">&copy; <?php echo date("Y"); ?> youbaozang.com</div>

</div>
<?php 
}
add_action('admin_menu', 'wp_youdao_slug_admin');
?>